--- old/usr/src/uts/sun4v/io/glvc/glvc_hcall.s	Thu Nov 14 19:00:54 2019
+++ new/usr/src/uts/sun4v/io/glvc/glvc_hcall.s	Thu Nov 14 19:00:54 2019
@@ -23,8 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Hypervisor calls called by glvc driver.
 */
@@ -33,37 +31,6 @@
 #include <sys/hypervisor_api.h>
 #include <sys/glvc.h>
 
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-uint64_t
-hv_service_recv(uint64_t s_id, uint64_t buf_pa, uint64_t size,
-    uint64_t *recv_bytes)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_service_send(uint64_t s_id, uint64_t buf_pa, uint64_t size,
-    uint64_t *send_bytes)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_service_getstatus(uint64_t s_id, uint64_t *vreg)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_service_setstatus(uint64_t s_id, uint64_t bits)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_service_clrstatus(uint64_t s_id, uint64_t bits)
-{ return (0); }
-
-#else	/* lint || __lint */
-
 	/*
 	 * hv_service_recv(uint64_t s_id, uint64_t buf_pa,
 	 *     uint64_t size, uint64_t *recv_bytes);
@@ -138,4 +105,3 @@
 	nop
 	SET_SIZE(hv_service_clrstatus)
 
-#endif	/* lint || __lint */
--- old/usr/src/uts/sun4v/io/iospc/rfios_asm.s	Thu Nov 14 19:00:54 2019
+++ new/usr/src/uts/sun4v/io/iospc/rfios_asm.s	Thu Nov 14 19:00:54 2019
@@ -34,20 +34,6 @@
 
 /*LINTLIBRARY*/
 
-#if defined(lint)
-
-/*ARGSUSED*/	
-int
-rfiospc_get_perfreg(cntr_handle_t handle, int regid, uint64_t *data)
-{ return (0); }
-
-/*ARGSUSED*/	
-int
-rfiospc_set_perfreg(cntr_handle_t handle, int regid, uint64_t data)
-{ return (0); }
-
-#else /* lint */
-
 	ENTRY(rfiospc_get_perfreg)
 	mov	RFIOS_GET_PERFREG, %o5
 	ta	FAST_TRAP
@@ -64,4 +50,3 @@
 	nop
 	SET_SIZE(rfiospc_set_perfreg)
 
-#endif
--- old/usr/src/uts/sun4v/io/n2piupc/n2piupc_asm.s	Thu Nov 14 19:00:55 2019
+++ new/usr/src/uts/sun4v/io/n2piupc/n2piupc_asm.s	Thu Nov 14 19:00:55 2019
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Assembly language support for the n2piupc N2 PIU performance counter driver.
  */
@@ -36,20 +34,6 @@
 
 /*LINTLIBRARY*/
 
-#if defined(lint)
-
-/*ARGSUSED*/	
-int
-n2piupc_get_perfreg(cntr_handle_t handle, int regid, uint64_t *data)
-{ return (0); }
-
-/*ARGSUSED*/	
-int
-n2piupc_set_perfreg(cntr_handle_t handle, int regid, uint64_t data)
-{ return (0); }
-
-#else /* lint */
-
 	ENTRY(n2piupc_get_perfreg)
 	mov	N2PIU_GET_PERFREG, %o5
 	ta	FAST_TRAP
@@ -66,4 +50,3 @@
 	nop
 	SET_SIZE(n2piupc_set_perfreg)
 
-#endif
--- old/usr/src/uts/sun4v/io/n2rng/n2rng_hcall.s	Thu Nov 14 19:00:55 2019
+++ new/usr/src/uts/sun4v/io/n2rng/n2rng_hcall.s	Thu Nov 14 19:00:55 2019
@@ -23,8 +23,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Hypervisor calls called by ncp driver.
  */
@@ -33,54 +31,6 @@
 #include <sys/hypervisor_api.h>
 #include <sys/n2rng.h>
 
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-uint64_t
-hv_rng_get_diag_control()
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_rng_ctl_read(uint64_t ctlregsptr_ra, uint64_t *rstate, uint64_t *tdelta)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_rng_ctl_read_v2(uint64_t ctlregsptr_ra, uint64_t rngid, uint64_t *rstate,
-		uint64_t *tdelta, uint64_t *wdelta, uint64_t *wstate)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_rng_ctl_write(uint64_t ctlregsptr_ra, uint64_t nstate, uint64_t wtimeout,
-		uint64_t *tdelta)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_rng_ctl_write_v2(uint64_t ctlregsptr_ra, uint64_t nstate, uint64_t wtimeout,
-		uint64_t rngid)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_rng_data_read_diag(uint64_t buffer_ra, uint64_t sz, uint64_t *tdelta)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_rng_data_read_diag_v2(uint64_t buffer_ra, uint64_t sz, uint64_t rngid,
-		uint64_t *tdelta)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_rng_data_read(uint64_t buffer_ra, uint64_t *tdelta)
-{ return (0); }
-
-#else	/* lint || __lint */
-
 	/*
 	 * hv_rng_get_diag_control()
 	 */
@@ -183,4 +133,3 @@
 	stx	%o1, [%o4]
 	SET_SIZE(hv_rng_data_read)
 
-#endif	/* lint || __lint */
--- old/usr/src/uts/sun4v/io/pciex/pci_cfgacc_asm.s	Thu Nov 14 19:00:55 2019
+++ new/usr/src/uts/sun4v/io/pciex/pci_cfgacc_asm.s	Thu Nov 14 19:00:55 2019
@@ -35,22 +35,6 @@
 #include <io/px/px_ioapi.h>
 #include <io/px/px_lib4v.h>
 
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-uint64_t
-hvio_config_get(devhandle_t dev_hdl, pci_device_t bdf, pci_config_offset_t off, 
-    pci_config_size_t size, pci_cfg_data_t *data_p)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_config_put(devhandle_t dev_hdl, pci_device_t bdf, pci_config_offset_t off, 
-    pci_config_size_t size, pci_cfg_data_t data)
-{ return (0); }
-
-#else	/* lint || __lint */
-
 	/*
 	 * arg0 - devhandle
 	 * arg1 - pci_device
@@ -90,4 +74,3 @@
 	retl
 	nop
 	SET_SIZE(hvio_config_put)
-#endif
--- old/usr/src/uts/sun4v/io/px/px_hcall.s	Thu Nov 14 19:00:56 2019
+++ new/usr/src/uts/sun4v/io/px/px_hcall.s	Thu Nov 14 19:00:56 2019
@@ -34,186 +34,6 @@
 #include <px_ioapi.h>
 #include "px_lib4v.h"
 
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-uint64_t
-hvio_iommu_map(devhandle_t dev_hdl, tsbid_t tsbid, pages_t pages,
-    io_attributes_t attr, io_page_list_t *io_page_list_p,
-    pages_t *pages_mapped)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_iommu_demap(devhandle_t dev_hdl, tsbid_t tsbid, pages_t pages,
-    pages_t *pages_demapped)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_iommu_getmap(devhandle_t dev_hdl, tsbid_t tsbid, io_attributes_t *attr_p,
-    r_addr_t *r_addr_p)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_iommu_getbypass(devhandle_t dev_hdl, r_addr_t ra, io_attributes_t attr,
-    io_addr_t *io_addr_p)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_peek(devhandle_t dev_hdl, r_addr_t ra, size_t size, uint32_t *status,
-    uint64_t *data_p)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_poke(devhandle_t dev_hdl, r_addr_t ra, uint64_t sizes, uint64_t data,
-    r_addr_t ra2, uint32_t *rdbk_status)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_dma_sync(devhandle_t dev_hdl, r_addr_t ra, size_t num_bytes,
-    io_sync_direction_t io_sync_direction, size_t *bytes_synched)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_msiq_conf(devhandle_t dev_hdl, msiqid_t msiq_id, r_addr_t ra,
-    uint_t msiq_rec_cnt)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_msiq_info(devhandle_t dev_hdl, msiqid_t msiq_id, r_addr_t *r_addr_p,
-    uint_t *msiq_rec_cnt_p)
-{ return (0); }
-	
-/*ARGSUSED*/
-uint64_t
-hvio_msiq_getvalid(devhandle_t dev_hdl, msiqid_t msiq_id,
-    pci_msiq_valid_state_t *msiq_valid_state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_msiq_setvalid(devhandle_t dev_hdl, msiqid_t msiq_id,
-    pci_msiq_valid_state_t msiq_valid_state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_msiq_getstate(devhandle_t dev_hdl, msiqid_t msiq_id,
-    pci_msiq_state_t *msiq_state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_msiq_setstate(devhandle_t dev_hdl, msiqid_t msiq_id,
-    pci_msiq_state_t msiq_state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_msiq_gethead(devhandle_t dev_hdl, msiqid_t msiq_id,
-    msiqhead_t *msiq_head)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_msiq_sethead(devhandle_t dev_hdl, msiqid_t msiq_id,
-    msiqhead_t msiq_head)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_msiq_gettail(devhandle_t dev_hdl, msiqid_t msiq_id,
-    msiqtail_t *msiq_tail)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_msi_getmsiq(devhandle_t dev_hdl, msinum_t msi_num,
-    msiqid_t *msiq_id)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_msi_setmsiq(devhandle_t dev_hdl, msinum_t msi_num,
-    msiqid_t msiq_id, msi_type_t msitype)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_msi_getvalid(devhandle_t dev_hdl, msinum_t msi_num,
-    pci_msi_valid_state_t *msi_valid_state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_msi_setvalid(devhandle_t dev_hdl, msinum_t msi_num,
-    pci_msi_valid_state_t msi_valid_state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_msi_getstate(devhandle_t dev_hdl, msinum_t msi_num,
-    pci_msi_state_t *msi_state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_msi_setstate(devhandle_t dev_hdl, msinum_t msi_num,
-    pci_msi_state_t msi_state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_msg_getmsiq(devhandle_t dev_hdl, pcie_msg_type_t msg_type,
-    msiqid_t *msiq_id)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_msg_setmsiq(devhandle_t dev_hdl, pcie_msg_type_t msg_type,
-    msiqid_t msiq_id)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_msg_getvalid(devhandle_t dev_hdl, pcie_msg_type_t msg_type,
-    pcie_msg_valid_state_t *msg_valid_state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_msg_setvalid(devhandle_t dev_hdl, pcie_msg_type_t msg_type,
-    pcie_msg_valid_state_t msg_valid_state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-pci_error_send(devhandle_t dev_hdl, devino_t devino, pci_device_t bdf)
-{ return (0); }
-
-/*
- * First arg to both of these functions is a dummy, to accomodate how
- * hv_hpriv() works.
- */
-/*ARGSUSED*/
-int
-px_phys_acc_4v(uint64_t dummy, uint64_t from_addr, uint64_t to_addr)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-pci_iov_root_configured(devhandle_t dev_hdl)
-{ return (0); }
-
-#else	/* lint || __lint */
-
 	/*
 	 * arg0 - devhandle
 	 * arg1 - tsbid
@@ -707,4 +527,3 @@
 	nop
 	SET_SIZE(pci_iov_root_configured)
 
-#endif	/* lint || __lint */
--- old/usr/src/uts/sun4v/io/vnet_dds_hcall.s	Thu Nov 14 19:00:56 2019
+++ new/usr/src/uts/sun4v/io/vnet_dds_hcall.s	Thu Nov 14 19:00:56 2019
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Hypervisor calls called by niu leaf driver.
 */
@@ -43,35 +41,6 @@
 #define N2NIU_VRTX_SET_INO	0x151
 
 
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-uint64_t
-vdds_hv_niu_vr_getinfo(uint32_t cookie, uint64_t *real_start, uint64_t *size)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-vdds_hv_niu_vr_get_rxmap(uint32_t cookie, uint64_t *dma_map)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-vdds_hv_niu_vr_get_txmap(uint32_t cookie, uint64_t *dma_map)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-vdds_hv_niu_vrtx_set_ino(uint32_t cookie, uint64_t vch_idx, uint32_t ino)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-vdds_hv_niu_vrrx_set_ino(uint32_t cookie, uint64_t vch_idx, uint32_t ino)
-{ return (0); }
-
-#else	/* lint || __lint */
-
 	/*
 	 * vdds_hv_niu_vr_getinfo(uint32_t cookie, uint64_t &real_start,
 	 *     uint64_t &size)
@@ -128,4 +97,3 @@
 	nop
 	SET_SIZE(vdds_hv_niu_vrtx_set_ino)
 
-#endif	/* lint || __lint */
--- old/usr/src/uts/sun4v/ml/hcall.s	Thu Nov 14 19:00:56 2019
+++ new/usr/src/uts/sun4v/ml/hcall.s	Thu Nov 14 19:00:56 2019
@@ -32,341 +32,6 @@
 #include <sys/machparam.h>
 #include <sys/hypervisor_api.h>
 
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-uint64_t
-hv_mach_exit(uint64_t exit_code)
-{ return (0); }
-
-uint64_t
-hv_mach_sir(void)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_cpu_start(uint64_t cpuid, uint64_t pc, uint64_t rtba, uint64_t arg)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_cpu_stop(uint64_t cpuid)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_cpu_set_rtba(uint64_t *rtba)
-{ return (0); }
-
-/*ARGSUSED*/
-int64_t
-hv_cnputchar(uint8_t ch)
-{ return (0); }
-
-/*ARGSUSED*/
-int64_t
-hv_cngetchar(uint8_t *ch)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_tod_get(uint64_t *seconds)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_tod_set(uint64_t seconds)
-{ return (0);}
-
-/*ARGSUSED*/
-uint64_t
-hv_mmu_map_perm_addr(void *vaddr, int ctx, uint64_t tte, int flags)
-{ return (0); }
-
-/*ARGSUSED */
-uint64_t
-hv_mmu_fault_area_conf(void *raddr)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_mmu_unmap_perm_addr(void *vaddr, int ctx, int flags)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_set_ctx0(uint64_t ntsb_descriptor, uint64_t desc_ra)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_set_ctxnon0(uint64_t ntsb_descriptor, uint64_t desc_ra)
-{ return (0); }
-
-#ifdef SET_MMU_STATS
-/*ARGSUSED*/
-uint64_t
-hv_mmu_set_stat_area(uint64_t rstatarea, uint64_t size)
-{ return (0); }
-#endif /* SET_MMU_STATS */
-
-/*ARGSUSED*/
-uint64_t
-hv_cpu_qconf(int queue, uint64_t paddr, int size)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_intr_devino_to_sysino(uint64_t dev_hdl, uint32_t devino, uint64_t *sysino)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_intr_getvalid(uint64_t sysino, int *intr_valid_state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_intr_setvalid(uint64_t sysino, int intr_valid_state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_intr_getstate(uint64_t sysino, int *intr_state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_intr_setstate(uint64_t sysino, int intr_state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_intr_gettarget(uint64_t sysino, uint32_t *cpuid)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvio_intr_settarget(uint64_t sysino, uint32_t cpuid)
-{ return (0); }
-
-uint64_t
-hv_cpu_yield(void)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_cpu_state(uint64_t cpuid, uint64_t *cpu_state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_dump_buf_update(uint64_t paddr, uint64_t size, uint64_t *minsize)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_mem_scrub(uint64_t real_addr, uint64_t length, uint64_t *scrubbed_len)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_mem_sync(uint64_t real_addr, uint64_t length, uint64_t *flushed_len)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_ttrace_buf_conf(uint64_t paddr, uint64_t size, uint64_t *size1)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_ttrace_buf_info(uint64_t *paddr, uint64_t *size)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_ttrace_enable(uint64_t enable, uint64_t *prev_enable)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_ttrace_freeze(uint64_t freeze, uint64_t *prev_freeze)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_mach_desc(uint64_t buffer_ra, uint64_t *buffer_sizep)
-{ return (0); }
-
-/*ARGSUSED*/	
-uint64_t
-hv_ra2pa(uint64_t ra)
-{ return (0); }
-
-/*ARGSUSED*/	
-uint64_t
-hv_hpriv(void *func, uint64_t arg1, uint64_t arg2, uint64_t arg3)
-{ return (0); }
-
-/*ARGSUSED*/	
-uint64_t
-hv_ldc_tx_qconf(uint64_t channel, uint64_t ra_base, uint64_t nentries)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_ldc_tx_qinfo(uint64_t channel, uint64_t *ra_base, uint64_t *nentries)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_ldc_tx_get_state(uint64_t channel, 
-	uint64_t *headp, uint64_t *tailp, uint64_t *state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_ldc_tx_set_qtail(uint64_t channel, uint64_t tail)
-{ return (0); }
-
-/*ARGSUSED*/	
-uint64_t
-hv_ldc_rx_qconf(uint64_t channel, uint64_t ra_base, uint64_t nentries)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_ldc_rx_qinfo(uint64_t channel, uint64_t *ra_base, uint64_t *nentries)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_ldc_rx_get_state(uint64_t channel, 
-	uint64_t *headp, uint64_t *tailp, uint64_t *state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_ldc_rx_set_qhead(uint64_t channel, uint64_t head)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_ldc_send_msg(uint64_t channel, uint64_t msg_ra)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_ldc_set_map_table(uint64_t channel, uint64_t tbl_ra, uint64_t tbl_entries)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_ldc_copy(uint64_t channel, uint64_t request, uint64_t cookie,
-	uint64_t raddr, uint64_t length, uint64_t *lengthp)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvldc_intr_getcookie(uint64_t dev_hdl, uint32_t devino, uint64_t *cookie)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvldc_intr_setcookie(uint64_t dev_hdl, uint32_t devino, uint64_t cookie)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvldc_intr_getvalid(uint64_t dev_hdl, uint32_t devino, int *intr_valid_state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvldc_intr_setvalid(uint64_t dev_hdl, uint32_t devino, int intr_valid_state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvldc_intr_getstate(uint64_t dev_hdl, uint32_t devino, int *intr_state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvldc_intr_setstate(uint64_t dev_hdl, uint32_t devino, int intr_state)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvldc_intr_gettarget(uint64_t dev_hdl, uint32_t devino, uint32_t *cpuid)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hvldc_intr_settarget(uint64_t dev_hdl, uint32_t devino, uint32_t cpuid)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_api_get_version(uint64_t api_group, uint64_t *majorp, uint64_t *minorp)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_api_set_version(uint64_t api_group, uint64_t major, uint64_t minor,
-    uint64_t *supported_minor)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_tm_enable(uint64_t enable)
-{ return (0); }
-
-/*ARGSUSED*/	
-uint64_t
-hv_mach_set_watchdog(uint64_t timeout, uint64_t *time_remaining)
-{ return (0); }
-
-/*ARGSUSED*/
-int64_t
-hv_cnwrite(uint64_t buf_ra, uint64_t count, uint64_t *retcount)
-{ return (0); }
-
-/*ARGSUSED*/
-int64_t
-hv_cnread(uint64_t buf_ra, uint64_t count, int64_t *retcount)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_soft_state_set(uint64_t state, uint64_t string)
-{ return (0); }
-
-/*ARGSUSED*/	
-uint64_t
-hv_soft_state_get(uint64_t string, uint64_t *state)
-{ return (0); }uint64_t
-hv_guest_suspend(void)
-{ return (0); }
-
-/*ARGSUSED*/	
-uint64_t
-hv_tick_set_npt(uint64_t npt)
-{ return (0); }
-
-/*ARGSUSED*/	
-uint64_t
-hv_stick_set_npt(uint64_t npt)
-{ return (0); }
-
-/*ARGSUSED*/	
-uint64_t
-hv_reboot_data_set(uint64_t buffer_ra, uint64_t buffer_len)
-{ return (0); }
-
-#else	/* lint || __lint */
-
 	/*
 	 * int hv_mach_exit(uint64_t exit_code)
 	 */
@@ -1298,4 +963,3 @@
 	nop
 	SET_SIZE(hv_reboot_data_set)
 
-#endif	/* lint || __lint */
--- old/usr/src/uts/sun4v/ml/mach_interrupt.s	Thu Nov 14 19:00:57 2019
+++ new/usr/src/uts/sun4v/ml/mach_interrupt.s	Thu Nov 14 19:00:57 2019
@@ -23,12 +23,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/thread.h>
-#else	/* lint */
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/machthread.h>
@@ -47,15 +42,7 @@
 #include <sys/traptrace.h>
 #endif /* TRAPTRACE */
 
-#if defined(lint)
 
-void
-cpu_mondo(void)
-{}
-
-#else	/* lint */
-
-
 /*
  * (TT 0x7c, TL>0) CPU Mondo Queue Handler
  *	Globals are the Interrupt Globals.
@@ -195,17 +182,7 @@
 	/* Never Reached */
 	SET_SIZE(cpu_mondo)
 
-#endif /* lint */
 
-#if defined(lint)
-
-void
-dev_mondo(void)
-{}
-
-#else	/* lint */
-
-
 /*
  * (TT 0x7d, TL>0) Dev Mondo Queue Handler
  *	Globals are the Interrupt Globals.
@@ -344,11 +321,7 @@
 
 	/* Never Reached */
 	SET_SIZE(dev_mondo)
-#endif /* lint */
 
-#if defined(lint)
-uint64_t cpu_mondo_inval;
-#else /* lint */
 	.seg	".data"
 	.global	cpu_mondo_inval
 	.align	8
@@ -356,17 +329,8 @@
 	.skip	8
 
 	.seg	".text"
-#endif	/* lint */
 
 
-#if defined(lint)
-
-void
-resumable_error(void)
-{}
-
-#else	/* lint */
-
 /*
  * (TT 0x7e, TL>0) Resumeable Error Queue Handler
  *	We keep a shadow copy of the queue in kernel buf.
@@ -482,16 +446,7 @@
 
 	/*NOTREACHED*/
 	SET_SIZE(resumable_error)
-#endif /* lint */
 
-#if defined(lint)
-
-void
-nonresumable_error(void)
-{}
-
-#else	/* lint */
-
 /*
  * (TT 0x7f, TL>0) Non-resumeable Error Queue Handler
  *	We keep a shadow copy of the queue in kernel buf.
@@ -663,4 +618,3 @@
 
 	/*NOTREACHED*/
 	SET_SIZE(nonresumable_error)
-#endif /* lint */
--- old/usr/src/uts/sun4v/ml/mach_locore.s	Thu Nov 14 19:00:57 2019
+++ new/usr/src/uts/sun4v/ml/mach_locore.s	Thu Nov 14 19:00:57 2019
@@ -23,13 +23,6 @@
  * Use is subject to license terms.
  */
 
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/t_lock.h>
-#include <sys/promif.h>
-#include <sys/prom_isa.h>
-#endif	/* lint */
-
 #include <sys/asm_linkage.h>
 #include <sys/intreg.h>
 #include <sys/ivintr.h>
@@ -46,13 +39,6 @@
 #include <sys/hypervisor_api.h>
 #include <sys/clock.h>
 
-#if defined(lint)
-
-#include <sys/thread.h>
-#include <sys/time.h>
-
-#else	/* lint */
-
 #include "assym.h"
 
 
@@ -182,16 +168,6 @@
 _local_p1275cis:
 	.nword	0
 
-#endif	/* lint */
-
-#if defined(lint)
-
-void
-_start(void)
-{}
-
-#else /* lint */
-
 	.seg	".data"
 
 	.global nwindows, nwin_minus_one, winmask
@@ -364,9 +340,7 @@
 	.asciz	"main returned"
 	.align	4
 
-#endif	/* lint */
 
-
 /*
  * Generic system trap handler.
  *
@@ -402,14 +376,6 @@
  *	    uint32_t arg2 [%g3.l], uint32_t arg3 [%g3.h], uint32_t [%g2.h])
  */
 
-#if defined(lint)
-
-void
-sys_trap(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(sys_trap)
 #ifdef DEBUG
 	! Assert gl == 1
@@ -1047,10 +1013,6 @@
 	SET_SIZE(priv_rtt)
 	SET_SIZE(ktl0)
 
-#endif	/* lint */
-
-#ifndef lint
-
 #ifdef DEBUG
 	.seg	".data"
 	.align	4
@@ -1071,7 +1033,6 @@
 	mov	%o3, %o2
 	SET_SIZE(bad_g4)
 #endif /* DEBUG */
-#endif /* lint */
 
 /*
  * sys_tl1_panic can be called by traps at tl1 which
@@ -1078,13 +1039,6 @@
  * really want to panic, but need the rearrangement of
  * the args as provided by this wrapper routine.
  */
-#if defined(lint)
-
-void
-sys_tl1_panic(void)
-{}
-
-#else	/* lint */
 	ENTRY_NP(sys_tl1_panic)
 	mov	%o1, %o0
 	mov	%o2, %o1
@@ -1091,7 +1045,6 @@
 	call	panic
 	mov	%o3, %o2
 	SET_SIZE(sys_tl1_panic)
-#endif /* lint */
 
 
 /*
@@ -1101,29 +1054,11 @@
  * This is used for context switching.
  */
 
-#if defined(lint)
-
-void
-flush_windows(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(flush_windows)
 	retl
 	flushw
 	SET_SIZE(flush_windows)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-void
-debug_flush_windows(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(debug_flush_windows)
 	set	nwindows, %g1
 	ld	[%g1], %g1
@@ -1145,20 +1080,10 @@
 
 	SET_SIZE(debug_flush_windows)
 
-#endif	/* lint */
-
 /*
  * flush user windows to memory.
  */
 
-#if defined(lint)
-
-void
-flush_user_windows(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(flush_user_windows)
 	rdpr	%otherwin, %g1
 	brz	%g1, 3f
@@ -1177,8 +1102,6 @@
 	nop
 	SET_SIZE(flush_user_windows)
 
-#endif	/* lint */
-
 /*
  * Throw out any user windows in the register file.
  * Used by setregs (exec) to clean out old user.
@@ -1186,14 +1109,6 @@
  * signal.
  */
 
-#if defined(lint)
-
-void
-trash_user_windows(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(trash_user_windows)
 	rdpr	%otherwin, %g1
 	brz	%g1, 3f			! no user windows?
@@ -1219,43 +1134,16 @@
 	SET_SIZE(trash_user_windows)
 
 
-#endif	/* lint */
-
 /*
  * Setup g7 via the CPU data structure.
  */
-#if defined(lint)
 
-struct scb *
-set_tbr(struct scb *s)
-{ return (s); }
-
-#else	/* lint */
-
 	ENTRY_NP(set_tbr)
 	retl
 	ta	72		! no tbr, stop simulation
 	SET_SIZE(set_tbr)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-/*
- * These need to be defined somewhere to lint and there is no "hicore.s"...
- */
-char etext[1], end[1];
-#endif	/* lint*/
-
-#if defined (lint)
-
-/* ARGSUSED */
-void
-ptl1_panic(u_int reason)
-{}
-
-#else /* lint */
-
 #define	PTL1_SAVE_WINDOW(RP)						\
 	stxa	%l0, [RP + RW64_LOCAL + (0 * RW64_LOCAL_INCR)] %asi;	\
 	stxa	%l1, [RP + RW64_LOCAL + (1 * RW64_LOCAL_INCR)] %asi;	\
@@ -1497,25 +1385,9 @@
 	  mov	%l1, %o0
 	/*NOTREACHED*/
 	SET_SIZE(ptl1_panic)
-#endif /* lint */
 
 #ifdef	PTL1_PANIC_DEBUG
-#if defined (lint)
-/*
- * ptl1_recurse() calls itself a number of times to either set up a known
- * stack or to cause a kernel stack overflow. It decrements the arguments 
- * on each recursion.
- * It's called by #ifdef PTL1_PANIC_DEBUG code in startup.c to set the
- * registers to a known state to facilitate debugging.
- */
 
-/* ARGSUSED */
-void 
-ptl1_recurse(int count_threshold, int trap_threshold)
-{}
-
-#else /* lint */
-
 	ENTRY_NP(ptl1_recurse)
 	save    %sp, -SA(MINFRAME), %sp
 
@@ -1580,16 +1452,6 @@
 	  nop 					! NOTREACHED 
         SET_SIZE(ptl1_recurse)
 
-#endif /* lint */
-
-#if defined (lint)
-
-/* ARGSUSED */
-void
-ptl1_panic_xt(int arg1, int arg2)
-{}
-
-#else /* lint */
 	/*
 	 * Asm function to handle a cross trap to call ptl1_panic()
 	 */
@@ -1598,20 +1460,10 @@
 	  mov	PTL1_BAD_DEBUG, %g1
         SET_SIZE(ptl1_panic_xt)
 
-#endif /* lint */
-
 #endif	/* PTL1_PANIC_DEBUG */
 
 #ifdef	TRAPTRACE
-#if	defined (lint)
 
-void
-trace_ptr_panic(void)
-{
-}
-
-#else	/* lint */
-
 	ENTRY_NP(trace_ptr_panic)
 	!
 	! freeze the trap trace to disable the assertions.  Otherwise,
@@ -1633,7 +1485,6 @@
 	mov	PTL1_BAD_TRACE_PTR, %g1
 	SET_SIZE(trace_ptr_panic)
 
-#endif	/* lint */
 #endif	/* TRAPTRACE */
 
 /*
@@ -1641,15 +1492,6 @@
  * calling the 64-bit romvec OBP.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-client_handler(void *cif_handler, void *arg_array)
-{ return 0; }
-
-#else	/* lint */
-
 	ENTRY(client_handler)
 	save	%sp, -SA64(MINFRAME64), %sp	! 32 bit frame, 64 bit sized
 	sethi	%hi(tba_taken_over), %l2
@@ -1672,17 +1514,6 @@
 	restore	%o0, %g0, %o0			! delay; result in %o0
 	SET_SIZE(client_handler)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-panic_bad_hcall(uint64_t err, uint64_t hcall)
-{}
-
-#else   /* lint */
-
 	.seg	".text"
 bad_hcall_error:
 	.asciz	"hypervisor call 0x%x returned an unexpected error %d"
@@ -1703,4 +1534,3 @@
 	mov	%o3, %o7
 	SET_SIZE(panic_bad_hcall)
 
-#endif  /* lint */
--- old/usr/src/uts/sun4v/ml/mach_proc_init.s	Thu Nov 14 19:00:58 2019
+++ new/usr/src/uts/sun4v/ml/mach_proc_init.s	Thu Nov 14 19:00:58 2019
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * sun4v processor initialization
  *
@@ -33,9 +31,7 @@
  * directly from the hypervisor. i.e. without going through OBP.
  */
 
-#if !defined(lint)
 #include "assym.h"
-#endif /* !lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/hypervisor_api.h>
@@ -45,15 +41,6 @@
 #include <sys/mmu.h>
 #include <sys/lpad.h>
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-mach_cpu_startup(uint64_t rabase, uint64_t memsz)
-{}
-
-#else	/* lint */
-
 	/*
 	 * %o0 - hcall specified arg (cpuid)
 	 * %i0 - real memory base
@@ -208,4 +195,3 @@
 	.global mach_cpu_startup_end
 mach_cpu_startup_end:
 
-#endif	/* lint */
--- old/usr/src/uts/sun4v/ml/mach_subr_asm.s	Thu Nov 14 19:00:58 2019
+++ new/usr/src/uts/sun4v/ml/mach_subr_asm.s	Thu Nov 14 19:00:58 2019
@@ -26,12 +26,7 @@
  * General machine architecture & implementation specific
  * assembly language routines.
  */
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/t_lock.h>
-#else	/* lint */
 #include "assym.h"
-#endif	/* lint */
 
 #define CPU_MODULE /* need it for NSEC_SHIFT used by NATIVE_TIME_TO_NSEC() */
 
@@ -45,14 +40,6 @@
 #include <sys/fpras.h>
 #include <sys/soft_state.h>
 
-#if defined(lint)
-
-uint64_t
-ultra_gettick(void)
-{ return (0); }
-
-#else	/* lint */
-
 /*
  * This isn't the routine you're looking for.
  *
@@ -67,47 +54,20 @@
 	nop
 	SET_SIZE(ultra_gettick)
 
-#endif	/* lint */
-
-#if defined(lint)
-/* ARGSUSED */
-void
-set_mmfsa_scratchpad(caddr_t vaddr)
-{ }
-
-#else	/* lint */
-
 	ENTRY(set_mmfsa_scratchpad)
 	stxa	%o0, [%g0]ASI_SCRATCHPAD 
 	retl
 	nop
 	SET_SIZE(set_mmfsa_scratchpad)
-#endif	/* lint */
 
-#if defined(lint)
-caddr_t
-get_mmfsa_scratchpad()
-{  return (0); }
-
-#else	/* lint */
-
 	ENTRY(get_mmfsa_scratchpad)
 	ldxa	[%g0]ASI_SCRATCHPAD, %o0 
 	retl
 	nop
 	SET_SIZE(get_mmfsa_scratchpad)
-#endif	/* lint */
 
 
 
-#if defined(lint)
-/* ARGSUSED */
-void
-cpu_intrq_unregister_powerdown(uint64_t doneflag_va)
-{}
-
-#else	/* lint */
-
 /*
  * Called from a x-trap at tl1 must use %g1 as arg
  * and save/restore %o0-%o5 after hypervisor calls
@@ -169,17 +129,8 @@
 	ba,a	0b
 
 	SET_SIZE(cpu_intrq_unregister_powerdown)
-#endif	/* lint */
 
 
-#if defined(lint)
-/* ARGSUSED */
-int
-getprocessorid(void)
-{ return (0); }
-
-#else	/* lint */
-
 /*
  * Get the processor ID.
  * === MID reg as specified in 15dec89 sun4u spec, sec 5.4.3
@@ -191,17 +142,6 @@
 	nop
 	SET_SIZE(getprocessorid)
 
-#endif	/* lint */
-
-#if defined(lint) || defined(__lint)
-
-/* ARGSUSED */
-hrtime_t
-tick2ns(hrtime_t tick, uint_t cpuid)
-{ return 0; }
-
-#else	/* lint */
-
 	ENTRY_NP(tick2ns)
 	!
 	! Use nsec_scale for sun4v which is based on %stick
@@ -211,50 +151,16 @@
 	nop
 	SET_SIZE(tick2ns)
 
-#endif  /* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-set_cmp_error_steering(void)
-{}
-
-#else	/* lint */
-
 	ENTRY(set_cmp_error_steering)
 	retl
 	nop
 	SET_SIZE(set_cmp_error_steering)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-uint64_t
-ultra_getver(void)
-{
-	return (0); 
-}
-
-#else /* lint */
-
 	ENTRY(ultra_getver)
 	retl
 	mov	-1, %o0		! XXXQ no version available
 	SET_SIZE(ultra_getver)
 
-#endif /* lint */
-
-#if defined(lint)
-
-int
-fpras_chkfn_type1(void)
-{ return 0; }
-
-#else	/* lint */
-
 	/*
 	 * Check instructions using just the AX pipelines, designed by
 	 * C.B. Liaw of PNP.
@@ -414,11 +320,7 @@
 	retl				! 15
 	  mov	FPRAS_BADTRAP, %o0	! 16, how detected
 	SET_SIZE(fpras_chkfn_type1)
-#endif	/* lint */
 
-#if defined(lint)
-char	soft_state_message_strings[SOLARIS_SOFT_STATE_MSG_CNT][SSM_SIZE];
-#else	/* lint */
 	.seg	".data"
 	.global soft_state_message_strings
 
@@ -442,4 +344,3 @@
 	.nword	0
 
 	.seg	".text"
-#endif	/* lint */
--- old/usr/src/uts/sun4v/ml/mach_xc.s	Thu Nov 14 19:00:58 2019
+++ new/usr/src/uts/sun4v/ml/mach_xc.s	Thu Nov 14 19:00:58 2019
@@ -23,12 +23,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/cpuvar.h>
-#else	/*lint */
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/privregs.h>
@@ -42,15 +37,6 @@
 #endif /* TRAPTRACE */
 
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-self_xcall(struct cpu *cpu, uint64_t arg1, uint64_t arg2, xcfunc_t *func)
-{}
-
-#else
-
 /*
  * Entered by the software trap (TT=ST_SELFXCALL, TL>0) thru send_self_xcall().
  * Emulate the mondo handler - vec_interrupt().
@@ -104,18 +90,7 @@
 	/* Not Reached */
 	SET_SIZE(self_xcall)
 
-#endif	/* lint */
-
 #ifdef  TRAPTRACE
-#if defined(lint)
-
-/* ARGSUSED */
-void
-xc_trace(u_int traptype, cpuset_t *cpu_set, xcfunc_t *func,
-	uint64_t arg1, uint64_t arg2)
-{}
-
-#else	/* lint */
 	ENTRY(xc_trace)
 	rdpr	%pstate, %g1
 	andn	%g1, PSTATE_IE | PSTATE_AM, %g2
@@ -188,22 +163,8 @@
 	wrpr	%g0, %g1, %pstate			/* enable interrupts */
 	SET_SIZE(xc_trace)
 
-#endif	/* lint */
 #endif	/* TRAPTRACE */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-init_mondo(xcfunc_t *func, uint64_t arg1, uint64_t arg2)
-{}
-
-/*ARGSUSED*/
-int
-shipit(int n, uint64_t cpuid)
-{ return(0); }
-
-#else	/* lint */
 /*
  * Setup interrupt dispatch data registers
  * Entry:
@@ -241,16 +202,6 @@
 	membar	#Sync
 	SET_SIZE(shipit)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-uint64_t
-get_cpuaddr(uint64_t reg, uint64_t scr)
-{ return (0);}
-
-#else	/* lint */
 /*
  * Get cpu structure
  * Entry:
@@ -263,15 +214,6 @@
 	nop
 	SET_SIZE(get_cpuaddr)
 
-#endif	/* lint */
-
-#if defined(lint)
-/* ARGSUSED */
-void
-xt_sync_tl1(uint64_t *cpu_sync_addr)
-{}
-
-#else /* lint */
 /*
  * This is to ensure that previously called xtrap handlers have executed on
  * sun4v. We zero out the byte corresponding to its cpuid in the
@@ -286,4 +228,3 @@
 	retry
 	SET_SIZE(xt_sync_tl1)
 
-#endif  /* lint */
